@tailwind base;
@tailwind components;
@tailwind utilities;

.loading-indicator {
  display: none;
}

.htmx-request {
  .loading-indicator {
    display: inline-block;
  }

  #submit-button{
    @apply bg-gray-300 border-gray-400;
  }
}


.explanation {
  @apply leading-7 open:mb-4;

  summary {
    @apply inline-flex items-center cursor-pointer text-xl font-medium mb-5;

    svg {
      @apply float-left shrink-0 h-5 w-5 mt-0.5 sm:mt-0 mr-2 text-gray-500;
    }

    &:hover svg {
      @apply text-gray-700;
    }
  }

  p {
    @apply mb-5;
  }

  ol {
    @apply list-decimal ml-5 mb-5;

    li > p {
      @apply mb-0;
    }
  }

  ul {
    @apply list-disc ml-5;
  }

  code {
    @apply text-sm font-semibold px-2 py-1 rounded text-slate-700 bg-slate-100;
  }

  pre code {
    @apply font-normal p-0 leading-6 rounded-none text-gray-800 bg-transparent;
  }
}


/*

highlight.js styles

Based on a11y theme by Eric Baily
See https://github.com/highlightjs/highlight.js/blob/main/src/styles/a11y-light.css

*/

/* Comment */
.hljs-comment,
.hljs-quote {
  color: #696969;
}

/* Red */
.hljs-variable,
.hljs-template-variable,
.hljs-tag,
.hljs-name,
.hljs-selector-id,
.hljs-selector-class,
.hljs-regexp,
.hljs-deletion {
  color: #d91e18;
}

/* Orange */
.hljs-number,
.hljs-built_in,
.hljs-literal,
.hljs-type,
.hljs-params,
.hljs-meta,
.hljs-link {
  color: #a35a00;
}

/* Yellow */
.hljs-attribute {
  color: #a35a00;
}

/* Green */
.hljs-string,
.hljs-symbol,
.hljs-bullet,
.hljs-addition {
  color: #008000;
}

/* Blue */
.hljs-title,
.hljs-section {
  color: #007faa;
}

/* Purple */
.hljs-keyword,
.hljs-selector-tag {
  color: #7928a1;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}
